---
updatedAt: 2026-06-10T11:32:31.000Z
agentTools:
  projectIndex: https://docs.lmnl.app/llms.txt
---

# Create a Travel Rule transaction

Initiates a travel rule transaction, preparing it for execution. This step is crucial before sending the actual transaction to the Notabene provider for compliance with regulatory requirements.

# Sample request example use-cases

1. [Create a Transaction by Native Coin for Withdrawal](https://docs.lmnl.app/reference/createtransaction#/create-a-transaction-by-native-coin-for-withdrawal)
2. [Create a Transaction by token for Withdrawal](https://docs.lmnl.app/reference/createtransaction#/create-transaction-by-token-for-withdrawal)
3. [Create a Transaction by Native Token (UTXO) for Deposit](https://docs.lmnl.app/reference/createtransaction#/create-a-transaction-by-native-token-utxo-for-deposit)
4. [Create a Transaction by Token (Non-UTXO) for Deposit](https://docs.lmnl.app/reference/createtransaction#/create-a-transaction-by-token-non-utxo-for-deposit)
5. [Create a Transaction by Native Coin (Non-UTXO) for Deposit](https://docs.lmnl.app/reference/createtransaction#/create-transaction-by-native-coin-non-utxo-for-deposit)

## Create a Transaction by Native Coin for Withdrawal

### Example request body

```json
{
    "wallet":{
        "coin": "eth",
        "walletId":1
    },
    "transaction":{
        "recipientsData":{
                "recipients":[
                    {
                        "address":"0xa5946470206572eC729DA064fDe6a044CCfbE537",
                        "amount":0.008
                    }
                ],
                "sequenceId":"e6d677e9-d66a-4c7f-aeb6-73a02f0657e2"
        }
    },
    "travelRule":{
        "travelRuleTransactionOptions":{
            "sequenceId":"e6d677e9-d66a-4c7f-aeb6-73a02f0657e2",
            "comment":"Test Comment",
                    "outputs":[{
                        "custodial": false,
                        "data":null,
                        "vasp" : {
                            "id": "did:ethr:0x645fa50712c17cbeff5a52f4199b9a5e283cdea6"
                        },
                        "beneficiary": {
                            "type": "natural",
                            "name": "Microsoft",
                            "address": {
                                "address1": "1st main",
                                "address2": "M G road",
                                "city": "Bengalure",
                                "country": "IN"
                            }
                        },
                      "originator":{
                        "type":"natural",
                        "accountNumber": null,
                        "referenceNumber": "12345",
                        "name": "Bruce",
                        "dob": "2020-04-02",
                        "pob": "London",
                        "address": {
                            "address1": "main streat 101",
                            "address2": "address line 2",
                            "city": "London",
                            "country": "GB"
                        },
                        "identification": {
                            "type": "ARNU",
                            "number": "12345Number",
                            "country": "IN",
                            "authority": "Govt of Italy"
                        }
                    }
                    }]
        }
    }
}

```

<Callout icon="🚧" theme="warn">
  **Warning**

  **Pre-Transaction Validation for Compliance with the Travel Rule**

  * To ensure compliance with the Travel Rule, it is necessary to validate crucial transaction details such as the target `address`, `amount`, and `sequenceId` before executing the transaction. This validation is achieved by sending the `recipientsData[]` object to Notabene transactions.
    This step is pivotal as it verifies the provided data against the Travel Rule requirements.
  * Please note that the same `recipientsData[]` that is validated against the Travel Rule must be used when executing the actual transaction. Any discrepancy in the `address`, `amount`, or `sequenceId` may result in the transaction not being broadcast on the blockchain. This process helps maintain regulatory compliance and ensures accurate adherence to the Travel Rule requirements.
</Callout>

### Response Example

In the event of a transaction failure, the system will generate the following response:

```json
{
    "success": true,
    "data": [
        "SequenceId: 05aa3ab6-66af-484d-8803-e0cae74ea0bf - Message: validation fail"
    ]
}

```

If the response indicates `success` as `true`, it signifies that the Travel Rule transaction has been successfully created. The system will display the following response :

```json
{
    "success": true,
    "data": [
        {
            "travelRuleTransactionResponse": [
                {
                    "appId": 12,
                    "walletId": 6361,
                    "asset": "ETH",
                    "origin": "0x5dce8dc7ae6eeca7abb378406db5965c1a4684cd",
                    "destination": "0x371b6bc5FcA76d6044E273fe82CcE8c5Fbf47121",
                    "amount": 0.006,
                    "amountInUnit": "6000000000000000",
                    "reqJson": {
                        "sequenceId": "05aa3ab6-66af-484d-8803-e0cae74ea0bf",
                        "transaction": {
                            "asset": "ETH",
                            "amount": 0.006,
                            "origin": "0x5dce8dc7ae6eeca7abb378406db5965c1a4684cd",
                            "amountInUnit": "6000000000000000",
                            "destination": "0x371b6bc5FcA76d6044E273fe82CcE8c5Fbf47121",
                            "data": null,
                            "comment": "Test Comment"
                        },
                        "custodial": false,
                        "vasp": {
                            "id": "did:ethr:0x645fa50712c17cbeff5a52f4199b9a5e283cdea6"
                        },
                        "originator": {
                            "type": "natural",
                            "accountNumber": null,
                            "referenceNumber": "12345",
                            "name": "Bruce",
                            "dob": "2020-04-02",
                            "pob": "London",
                            "address": {
                                "address1": "main streat 101",
                                "address2": "address line 2",
                                "city": "London",
                                "country": "GB"
                            },
                            "identification": {
                                "type": "ARNU",
                                "number": "12345Number",
                                "country": "IN",
                                "authority": "Govt of Italy"
                            }
                        },
                        "beneficiary": {
                            "type": "natural",
                            "name": "Microsoft",
                            "address": {
                                "address1": "1st main",
                                "address2": "M G road",
                                "city": "Bengalure",
                                "country": "IN"
                            }
                        }
                    },
                    "status": 2,
                    "byPassCreate": false,
                    "orgId": 943,
                    "createdBy": 1565,
                    "data": null,
                    "comment": "Test Comment",
                    "sequenceId": "05aa3ab6-66af-484d-8803-e0cae74ea0bf",
                    "type": "send",
                    "trTxnId": "679d1cfe-722c-43a4-af18-6b0e1ed24bd4",
                    "link": "https://app.notabene.dev/dashboard/transactions/all?transactionQuery=679d1cfe-722c-43a4-af18-6b0e1ed24bd4",
                    "travelStatus": "SENT",
                    "resJson": {
                        "id": "679d1cfe-722c-43a4-af18-6b0e1ed24bd4",
                        "status": "SENT",
                        "transactionType": "TRAVELRULE",
                        "transactionAsset": "ETH",
                        "transactionAmount": "6000000000000000",
                        "chargedQuantity": 11.35248,
                        "amountInLocalCurrency": {
                            "currency": "SGD",
                            "amountInLocalCurrency": 15.38742
                        },
                        "beneficiaryAmountInLocalCurrency": {
                            "currency": "SGD",
                            "amountInLocalCurrency": 15.38742
                        },
                        "originatorDid": "did:ethr:0x8e3790643419b330152671d871a5113d5e2d39ae",
                        "beneficiaryDid": "did:ethr:0x1ce54decdf299dbab406ec192ec1e676cf5e2f45",
                        "isTest": null,
                        "originatorVASPdid": "did:ethr:0x1d4eb41bf400506fc5b77defd5ea9171652b3464",
                        "beneficiaryVASPdid": "did:ethr:0x645fa50712c17cbeff5a52f4199b9a5e283cdea6",
                        "transactionBlockchainInfo": {
                            "origin": "0x5dce8dc7ae6eeca7abb378406db5965c1a4684cd",
                            "destination": "0x371b6bc5FcA76d6044E273fe82CcE8c5Fbf47121"
                        },
                        "ivms101": {
                            "originator": {
                                "originatorPersons": [
                                    {
                                        "naturalPerson": {
                                            "name": [
                                                {
                                                    "nameIdentifier": [
                                                        {
                                                            "primaryIdentifier": "Bruce"
                                                        }
                                                    ]
                                                }
                                            ],
                                            "geographicAddress": [
                                                {
                                                    "addressLine": [
                                                        "main streat 101",
                                                        "address line 2"
                                                    ],
                                                    "countrySubdivision": [
                                                        "London"
                                                    ],
                                                    "country": "GB"
                                                }
                                            ],
                                            "nationalIdentification": {
                                                "nationalIdentifier": "12345Number",
                                                "nationalIdentifierType": "ARNU",
                                                "countryOfIssue": "IN",
                                                "registrationAuthority": "Govt of Italy"
                                            },
                                            "dateAndPlaceOfBirth": {
                                                "dateOfBirth": "2020-04-02",
                                                "placeOfBirth": "London"
                                            },
                                            "countryOfResidence": "GB",
                                            "customerIdentification": "12345"
                                        }
                                    }
                                ],
                                "accountNumber": [
                                    "0x5dce8dc7ae6eeca7abb378406db5965c1a4684cd"
                                ]
                            },
                            "beneficiary": {
                                "beneficiaryPersons": [
                                    {
                                        "naturalPerson": {
                                            "name": [
                                                {
                                                    "nameIdentifier": [
                                                        {
                                                            "primaryIdentifier": "Microsoft"
                                                        }
                                                    ]
                                                }
                                            ],
                                            "geographicAddress": [
                                                {
                                                    "addressLine": [
                                                        "1st main",
                                                        "M G road"
                                                    ],
                                                    "countrySubdivision": [
                                                        "Bengalure"
                                                    ],
                                                    "country": "IN"
                                                }
                                            ],
                                            "countryOfResidence": "IN"
                                        }
                                    }
                                ],
                                "accountNumber": [
                                    "0x371b6bc5FcA76d6044E273fe82CcE8c5Fbf47121"
                                ]
                            },
                            "originatingVASP": {
                                "originatingVASP": {
                                    "legalPerson": {
                                        "name": {
                                            "nameIdentifier": [
                                                {
                                                    "legalPersonName": "Lmnl 1 (Originator)",
                                                    "legalPersonNameIdentifierType": "LEGL"
                                                }
                                            ]
                                        }
                                    }
                                }
                            },
                            "beneficiaryVASP": {
                                "beneficiaryVASP": {
                                    "legalPerson": {
                                        "name": {
                                            "nameIdentifier": [
                                                {
                                                    "legalPersonName": "Lmnl",
                                                    "legalPersonNameIdentifierType": "LEGL"
                                                }
                                            ]
                                        }
                                    }
                                }
                            }
                        },
                        "ivms101Encrypted": null,
                        "protocol": "TRLight",
                        "protocolData": {
                            "trLightData": {
                                "notificationEmails": [],
                                "accessLinks": []
                            }
                        },
                        "originatorProof": null,
                        "beneficiaryProof": null,
                        "actions": [
                            {
                                "hash": "2d619b08dcffb65e8f8a5f734bb03c51ac08da77135fe9e85c8bd979b5b408eb65711edc11ff94b0e7b2724e20fd4f0f41b0c680051d3c26358346be7642a94c",
                                "issuerDID": "did:ethr:0xafc2bd1c51888fc758e5c7a0dd49e6a82fdaac59",
                                "action": "approve",
                                "actionData": null,
                                "transactionId": "679d1cfe-722c-43a4-af18-6b0e1ed24bd4",
                                "createdAt": "2023-06-30T05:39:44.151Z",
                                "createdBy": "did:ethr:0xafc2bd1c51888fc758e5c7a0dd49e6a82fdaac59"
                            },
                            {
                                "hash": "2cd5eb67c0c33e8beecf0cd128fa2f145a535e8c9e448585fe3313518f2842a153f73e131f6eb17e76bace2b5f473879a421c3405f03864e5457acd088f60a7b",
                                "issuerDID": "did:ethr:0xafc2bd1c51888fc758e5c7a0dd49e6a82fdaac59",
                                "action": "create",
                                "actionData": "{\"travelRuleBehavior\":false,\"transactionAsset\":\"ETH\",\"transactionAmount\":\"6000000000000000\",\"originatorVASPdid\":\"did:ethr:0x1d4eb41bf400506fc5b77defd5ea9171652b3464\",\"transactionBlockchainInfo\":{\"origin\":\"0x5dce8dc7ae6eeca7abb378406db5965c1a4684cd\",\"destination\":\"0x371b6bc5FcA76d6044E273fe82CcE8c5Fbf47121\"},\"beneficiaryVASPdid\":\"did:ethr:0x645fa50712c17cbeff5a52f4199b9a5e283cdea6\",\"originatorDid\":\"did:ethr:0x8e3790643419b330152671d871a5113d5e2d39ae\",\"beneficiaryDid\":\"did:ethr:0x1ce54decdf299dbab406ec192ec1e676cf5e2f45\"}",
                                "transactionId": "679d1cfe-722c-43a4-af18-6b0e1ed24bd4",
                                "createdAt": "2023-06-30T05:39:43.731Z",
                                "createdBy": "did:ethr:0xafc2bd1c51888fc758e5c7a0dd49e6a82fdaac59"
                            }
                        ],
                        "createdAt": "2023-06-30T05:39:43.464Z",
                        "createdBy": "did:ethr:0xafc2bd1c51888fc758e5c7a0dd49e6a82fdaac59",
                        "updatedAt": "2023-06-30T05:39:43.701Z",
                        "updatedBy": "did:ethr:0xafc2bd1c51888fc758e5c7a0dd49e6a82fdaac59",
                        "pii": {
                            "originator": {
                                "accountNumber": [
                                    "QmNzKmJx9kh3L9DD17GNe3DSzSXxZQMeoWynxZMGTMV457"
                                ],
                                "originatorPersons": [
                                    {
                                        "naturalPerson": {
                                            "name": [
                                                {
                                                    "nameIdentifier": [
                                                        {
                                                            "primaryIdentifier": "QmNrEBNXTY9Mgn1ocFnps8ux6tENdJ3S28acstGcpHPyXT"
                                                        }
                                                    ]
                                                }
                                            ],
                                            "geographicAddress": [
                                                {
                                                    "country": "QmbFW7RUTw9fMcALJGKJvdqX1BGoJk6E6iGhuK8yoopJTw",
                                                    "addressLine": [
                                                        "QmaMxwFwNyx1UDBb9mZnW782hyD9eSN4FeLLzb4m3w7AH5",
                                                        "QmQV9V7NbqJLMVURhfGSTYRncg6x8uTxR8CjDb5eCYhQkw"
                                                    ],
                                                    "countrySubdivision": [
                                                        "QmUJTBS62LARJXuzxPP5V6Mt1CasVNmeC36KsxBwdhKy1S"
                                                    ]
                                                }
                                            ],
                                            "countryOfResidence": "QmQbhd6MA1QB6jYM92nMFgy3fsw41DUggZrjTpNEtM2ekJ",
                                            "dateAndPlaceOfBirth": {
                                                "dateOfBirth": "QmSLYxXvNfLUzAnJREYKGM98nLpphU5Qi2Ky9oJ8ut9k3C",
                                                "placeOfBirth": "QmeBGKxjPfwHEoxvfEqjUWEQxcEu7HtLaveFFzKF5x9YzB"
                                            },
                                            "customerIdentification": "QmV4noD4nKNqqNZ1SMfKFQtxTqzsBGB1dYXKu9JFEtw3G5",
                                            "nationalIdentification": {
                                                "countryOfIssue": "Qma2ELbb5AR6w6m9uaKZfsSbZhmLPhSnsMYKi3gxAsLcML",
                                                "nationalIdentifier": "QmRt2aXnEfdQ2nWDMutHKVYB8y9SA3mzoEnqQLF1t1BxNS",
                                                "registrationAuthority": "QmbgjTf7P5vFX9hFywm5Un5tGqycZwaUVAZDR8EarJwssy",
                                                "nationalIdentifierType": "QmUiWdV2HRzcj9LC7y6vFZaLEVM57HtdPpMrd52kYmZdiz"
                                            }
                                        }
                                    }
                                ]
                            },
                            "beneficiary": {
                                "accountNumber": [
                                    "QmNWmknXsr9Axx2tgnT7THLbCyADXSE4obDtNgv9Nqh7zA"
                                ],
                                "beneficiaryPersons": [
                                    {
                                        "naturalPerson": {
                                            "name": [
                                                {
                                                    "nameIdentifier": [
                                                        {
                                                            "primaryIdentifier": "QmUyBPtV9M2KNFR4YThY39uciMY1T3Yp5s7ycTt7v2jsLG"
                                                        }
                                                    ]
                                                }
                                            ],
                                            "geographicAddress": [
                                                {
                                                    "country": "QmWCpNGSj3jezyQUdS8DLmBYtTFzKLPfLMfMbBWUswe1J8",
                                                    "addressLine": [
                                                        "QmYzjNDdGXbgqp8RsbRcfT2Vw8cH5fACiV71JsHF8jiamZ",
                                                        "QmbWUAQVt49fkk2HZBWLZsbKnP9zfVFwoYAZxAdf7y4Jt5"
                                                    ],
                                                    "countrySubdivision": [
                                                        "QmeAXFYc26GPDYVUCpkT8cDtzQpFE8dRqdHQNqT9mdU1B1"
                                                    ]
                                                }
                                            ],
                                            "countryOfResidence": "QmcvGp8nL1ih5w15orZcMGpTiwBJp4UYvgUZsYvu7DZPnG"
                                        }
                                    }
                                ]
                            }
                        },
                        "pii_url": "https://pii.notabene.dev/",
                        "tracked_billing": false
                    },
                    "id": 171,
                    "createdAt": "2023-06-30T05:39:44.000Z",
                    "updatedAt": "2023-06-30T05:39:44.000Z"
                }
            ]
        }
    ]
}

```

Transaction approval can be managed in two ways: through manual or automatic approval. With manual approval, the customer is tasked with manually setting the transaction's approval status. After the transaction receives approval via the Notabene portal, the customer must retain the recipient data for future use.
If the transaction approval is set to auto, the following steps should be followed:

1. **Create Travel Transaction**
   Initiate the creation of a Travel Transaction using the appropriate API or method. This step involves providing the necessary transaction details, including the recipient data, such as `address`, `amount`, and `sequenceId`.
2. **Send Many Transactions**
   Proceed with sending the transaction using the "Send Many" method or API. This step triggers the actual transaction to be executed and broadcast. It is important to ensure that the recipient data matches the previously validated travel rule transaction to maintain consistency.

<Callout icon="📘" theme="info">
  **Note**
  **Applicability of Transaction Approval Steps for Both Hot Withdrawal and Deposit Wallets**

  It's important to highlight that these procedures apply to both the **Hot Withdrawal** wallet and the **Deposit** wallet. By adhering to these steps, you can maintain a structured process for transaction approval, whether manual or automated, and correctly carry out travel rule transactions in compliance with the set protocols and requirements for preserving recipient data.
</Callout>

## Create Transaction by Token for Withdrawal

### Example request body

```json
{
    "wallet":{
        "coin": "eth",
        "walletId":1,
        "allToken":true,
            "tokenOptions":{
                "tokenName":"USDC",
                "tokenAddress":"0xD87Ba7A50B2E7E660f678A895E4B72E7CB4CCd9C"
            }
    },
    "transaction":{
        "recipientsData":{
                "recipients":[
                    {
                        "address":"0xa5946470206572eC729DA064fDe6a044CCfbE537",
                        "amount":0.008
                    }
                ],
                "sequenceId":"e6d677e9-d66a-4c7f-aeb6-73a02f0657e2"
        }
    },
    "travelRule":{
        "travelRuleTransactionOptions":{
            "sequenceId":"e6d677e9-d66a-4c7f-aeb6-73a02f0657e2",
            "comment":"Test Comment",
                    "outputs":[{
                        "custodial": false,
                        "data":null,
                        "vasp" : {
                            "id": "did:ethr:0x645fa50712c17cbeff5a52f4199b9a5e283cdea6"
                        },
                        "beneficiary": {
                            "type": "natural",
                            "name": "Microsoft",
                            "address": {
                                "address1": "1st main",
                                "address2": "M G road",
                                "city": "Bengalure",
                                "country": "IN"
                            }
                        },
                      "originator":{
                        "type":"natural",
                        "accountNumber": null,
                        "referenceNumber": "12345",
                        "name": "Bruce",
                        "dob": "2020-04-02",
                        "pob": "London",
                        "address": {
                            "address1": "main streat 101",
                            "address2": "address line 2",
                            "city": "London",
                            "country": "GB"
                        },
                        "identification": {
                            "type": "ARNU",
                            "number": "12345Number",
                            "country": "IN",
                            "authority": "Govt of Italy"
                        }
                    }
                    }]
        }
    }
}

```

## Create a Transaction by Native Token (UTXO) for Deposit

### Example request body

```json
{
    "wallet":{
        "coin": "btc",
        "walletId":2
    },
    "transaction":{
        "consolidateTransactionResult":["BIND GET CONSLODATION TRANSACTION RESPONSE"]
    },
    "travelRule":{
        "travelRuleTransactionOptions":{
            "sequenceId":"07eac7bf-8ca4-48a8-b008-3a4949713dcd", 
            "comment":"Test Comment",
                    "outputs":[{
                        "custodial": false,
                        "data":null,
                        "vasp" : {
                            "id": "did:ethr:0x645fa50712c17cbeff5a52f4199b9a5e283cdea6"
                        },
                        "beneficiary": {
                            "type": "natural",
                            "name": "Microsoft",
                            "address": {
                                "address1": "1st main",
                                "address2": "M G road",
                                "city": "Bengalure",
                                "country": "IN"
                            }
                        },
                      "originator":{
                        "type":"natural",
                        "accountNumber": null,
                        "referenceNumber": "12345",
                        "name": "Bruce",
                        "dob": "2020-04-02",
                        "pob": "London",
                        "address": {
                            "address1": "main streat 101",
                            "address2": "address line 2",
                            "city": "London",
                            "country": "GB"
                        },
                        "identification": {
                            "type": "ARNU",
                            "number": "12345Number",
                            "country": "IN",
                            "authority": "Govt of Italy"
                        }
                    }
                    }]
        }
    }
}


```

## Create a Transaction by Token (Non-UTXO) for Deposit

### Example request body

```json
{
    "wallet":{
        "coin": "eth",
        "walletId":1,
        "allToken":true,
            "tokenOptions":{
                "tokenName":"USDC",
                "tokenAddress":"0xD87Ba7A50B2E7E660f678A895E4B72E7CB4CCd9C"
            }
    },
    "transaction":{
        "consolidateTransactionResult":["BIND GET CONSLODATION TRANSACTION RESPONSE"]
    },
    "travelRule":{
        "travelRuleTransactionOptions":{
            "comment":"Test Comment",
                    "outputs":[{
                        "custodial": false,
                        "data":null,
                        "vasp" : {
                            "id": "did:ethr:0x645fa50712c17cbeff5a52f4199b9a5e283cdea6"
                        },
                        "beneficiary": {
                            "type": "natural",
                            "name": "Microsoft",
                            "address": {
                                "address1": "1st main",
                                "address2": "M G road",
                                "city": "Bengalure",
                                "country": "IN"
                            }
                        },
                      "originator":{
                        "type":"natural",
                        "accountNumber": null,
                        "referenceNumber": "12345",
                        "name": "Bruce",
                        "dob": "2020-04-02",
                        "pob": "London",
                        "address": {
                            "address1": "main streat 101",
                            "address2": "address line 2",
                            "city": "London",
                            "country": "GB"
                        },
                        "identification": {
                            "type": "ARNU",
                            "number": "12345Number",
                            "country": "IN",
                            "authority": "Govt of Italy"
                        }
                    }
                    }]
        }
    }
}

```

## Create Transaction by Native Coin (Non-UTXO) for Deposit

### Example request body

```json
{
    "wallet":{
        "coin": "eth",
        "walletId":1,
        "allToken":true,
            "tokenOptions":{
                "tokenName":"USDC",
                "tokenAddress":"0xD87Ba7A50B2E7E660f678A895E4B72E7CB4CCd9C"
            }
    },
    "transaction":{
        "consolidateTransactionResult":["BIND GET CONSLODATION TRANSACTION RESPONSE"]
    },
    "travelRule":{
        "travelRuleTransactionOptions":{
            "comment":"Test Comment",
                    "outputs":[{
                        "custodial": false,
                        "data":null,
                        "vasp" : {
                            "id": "did:ethr:0x645fa50712c17cbeff5a52f4199b9a5e283cdea6"
                        },
                        "beneficiary": {
                            "type": "natural",
                            "name": "Microsoft",
                            "address": {
                                "address1": "1st main",
                                "address2": "M G road",
                                "city": "Bengalure",
                                "country": "IN"
                            }
                        },
                      "originator":{
                        "type":"natural",
                        "accountNumber": null,
                        "referenceNumber": "12345",
                        "name": "Bruce",
                        "dob": "2020-04-02",
                        "pob": "London",
                        "address": {
                            "address1": "main streat 101",
                            "address2": "address line 2",
                            "city": "London",
                            "country": "GB"
                        },
                        "identification": {
                            "type": "ARNU",
                            "number": "12345Number",
                            "country": "IN",
                            "authority": "Govt of Italy"
                        }
                    }
                    }]
        }
    }
}

```

<br />

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "API REFERENCES",
    "contact": {},
    "version": "8"
  },
  "servers": [
    {
      "url": "https://api-sdk.lmnl.dev",
      "variables": {}
    }
  ],
  "tags": [
    {
      "name": "Travel Rule transactions"
    }
  ],
  "paths": {
    "/api/travel-rule/create-transaction": {
      "post": {
        "tags": [
          "Travel Rule transactions"
        ],
        "summary": "Create a Travel Rule transaction",
        "description": "Initiates a travel rule transaction, preparing it for execution. This step is crucial before sending the actual transaction to the Notabene provider for compliance with regulatory requirements.",
        "operationId": "CreateTransaction",
        "parameters": [],
        "requestBody": {
          "description": "",
          "content": {
            "application/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/Create-Transaction-Object-Rquest"
                  },
                  {}
                ]
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "OK",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Create-Transaction-OK-Response"
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [
          {
            "basic": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "TxOutputs": {
        "title": "TxOutputs",
        "required": [
          "destinationAddress",
          "destinationAmount",
          "coinSymbol"
        ],
        "type": "object",
        "properties": {
          "destinationAddress": {
            "type": "string",
            "description": "The address where the funds will be sent."
          },
          "destinationAmount": {
            "type": "number",
            "description": "The amount of the asset that will be sent to the destination address."
          },
          "coinSymbol": {
            "type": "string",
            "description": "The symbol or abbreviation of the cryptocurrency or token being transferred."
          }
        },
        "example": {
          "destinationAddress": "0x18360a1Ccf5cc7b0439F93ec5b4f09dE94BC7d77",
          "destinationAmount": 0.007747999999244,
          "coinSymbol": "ETH"
        }
      },
      "TxDataResponse": {
        "title": "TxDataResponse",
        "required": [
          "data",
          "gasLimit",
          "maxFeePerGas",
          "maxPriorityFeePerGas",
          "nonce",
          "to",
          "value",
          "chain",
          "type"
        ],
        "type": "object",
        "properties": {
          "data": {
            "type": "string",
            "description": "The data field contains input data for the transaction."
          },
          "gasLimit": {
            "type": "string",
            "description": "The maximum amount of gas units that the transaction can consume. If the transaction consumes more than this limit, it will fail."
          },
          "maxFeePerGas": {
            "type": "string",
            "description": "This indicates the maximum fee per gas unit that the sender is willing to pay for the transaction."
          },
          "maxPriorityFeePerGas": {
            "type": "string",
            "description": "The maximum priority fee per gas unit."
          },
          "nonce": {
            "type": "integer",
            "description": "A unique value that ensures transactions are processed in order and only once. It represents the number of transactions sent from the sender's address.",
            "format": "int32"
          },
          "to": {
            "type": "string",
            "description": "The address of the recipient or the contract being interacted with."
          },
          "value": {
            "type": "string",
            "description": "The amount being transferred in the transaction."
          },
          "chain": {
            "type": "string",
            "description": "The chain ID, which helps prevent replay attacks across different networks."
          },
          "type": {
            "type": "string",
            "description": "This indicates the type of transaction."
          }
        },
        "example": {
          "data": "0x",
          "gasLimit": "0x5208",
          "maxFeePerGas": "0x165a0bc24",
          "maxPriorityFeePerGas": "0x165a0bc00",
          "nonce": 0,
          "to": "0x18360a1Ccf5cc7b0439F93ec5b4f09dE94BC7d77",
          "value": "0x1b86c3d3acb6e0",
          "chain": "0x04",
          "type": "0x02"
        }
      },
      "TokenOptions-Object-Request": {
        "title": "TokenOptions-Object-Request",
        "required": [
          "tokenName",
          "tokenAddress"
        ],
        "type": "object",
        "properties": {
          "tokenName": {
            "type": "string",
            "description": "Enter the name of the token.",
            "example": "eth"
          },
          "tokenAddress": {
            "type": "string",
            "description": "Provide the blockchain contract address for the specified token.",
            "example": "0xdc31Ee1784292379Fbb2964b3B9C4124D8F89C60"
          }
        },
        "example": {
          "tokenName": "dai",
          "tokenAddress": "0xdc31Ee1784292379Fbb2964b3B9C4124D8F89C60"
        }
      },
      "TxInput": {
        "title": "TxInput",
        "required": [
          "address",
          "amount",
          "path",
          "type"
        ],
        "type": "object",
        "properties": {
          "address": {
            "type": "string",
            "description": "This is the address associated with the transaction or event."
          },
          "amount": {
            "type": "number",
            "description": "This represents the quantity that is involved in the transaction."
          },
          "path": {
            "type": "string",
            "description": "Specify the path."
          },
          "type": {
            "type": "string",
            "description": "This indicates the nature of the transaction."
          }
        },
        "example": {
          "address": "0xB9dF6D174d6f1f3A61484762E7131F46Ec85b0d1",
          "amount": 0.007747999999244,
          "path": "m/0/0",
          "type": "receive"
        }
      },
      "GasFeesDetails": {
        "title": "GasFeesDetails",
        "required": [
          "baseGasFees",
          "LessBaseGasFees",
          "maxFeePerGas",
          "maxPriorityFeePerGas",
          "blockNumber"
        ],
        "type": "object",
        "properties": {
          "baseGasFees": {
            "type": "string",
            "description": "This represents the base cost for performing operations, like sending tokens or interacting with a contract, on the network."
          },
          "LessBaseGasFees": {
            "type": "string",
            "description": "It represents the amount deducted after considering the base gas fees."
          },
          "maxFeePerGas": {
            "type": "string",
            "description": "This is the maximum fee per gas unit the sender is willing to pay for the transaction."
          },
          "maxPriorityFeePerGas": {
            "type": "string",
            "description": "This is the fee per gas unit the sender is willing to give to the miner to prioritize their transaction."
          },
          "blockNumber": {
            "type": "integer",
            "description": "The block number represents the specific block on the blockchain where the transaction details or related data can be found.",
            "format": "int32"
          }
        },
        "example": {
          "baseGasFees": "0.000000009",
          "LessBaseGasFees": "0.000000009",
          "maxFeePerGas": "6.000000036",
          "maxPriorityFeePerGas": "6",
          "blockNumber": 9858034
        }
      },
      "Beneficiary2": {
        "title": "Beneficiary2",
        "required": [
          "beneficiaryPersons",
          "accountNumber"
        ],
        "type": "object",
        "properties": {
          "beneficiaryPersons": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/BeneficiaryPerson"
            },
            "description": ""
          },
          "accountNumber": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": ""
          }
        },
        "example": {
          "beneficiaryPersons": [
            {
              "naturalPerson": {
                "name": [
                  {
                    "nameIdentifier": [
                      {
                        "primaryIdentifier": "Microsoft"
                      }
                    ]
                  }
                ],
                "geographicAddress": [
                  {
                    "addressLine": [
                      "1st main",
                      "M G road"
                    ],
                    "countrySubdivision": [
                      "Bengalure"
                    ],
                    "country": "IN"
                  }
                ],
                "countryOfResidence": "IN"
              }
            }
          ],
          "accountNumber": [
            "0x371b6bc5FcA76d6044E273fe82CcE8c5Fbf47121"
          ]
        }
      },
      "Name2": {
        "title": "Name2",
        "required": [
          "nameIdentifier"
        ],
        "type": "object",
        "properties": {
          "nameIdentifier": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/NameIdentifier2"
            },
            "description": ""
          }
        },
        "example": {
          "nameIdentifier": [
            {
              "legalPersonName": "Lmnl 1 (Originator)",
              "legalPersonNameIdentifierType": "LEGL"
            }
          ]
        }
      },
      "Name": {
        "title": "Name",
        "required": [
          "nameIdentifier"
        ],
        "type": "object",
        "properties": {
          "nameIdentifier": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/NameIdentifier"
            },
            "description": ""
          }
        },
        "example": {
          "nameIdentifier": [
            {
              "primaryIdentifier": "Bruce"
            }
          ]
        }
      },
      "Pii": {
        "title": "Pii",
        "required": [
          "originator",
          "beneficiary"
        ],
        "type": "object",
        "properties": {
          "originator": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Originator2"
              },
              {}
            ]
          },
          "beneficiary": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Beneficiary2"
              },
              {}
            ]
          }
        },
        "example": {
          "originator": {
            "accountNumber": [
              "QmNzKmJx9kh3L9DD17GNe3DSzSXxZQMeoWynxZMGTMV457"
            ],
            "originatorPersons": [
              {
                "naturalPerson": {
                  "name": [
                    {
                      "nameIdentifier": [
                        {
                          "primaryIdentifier": "QmNrEBNXTY9Mgn1ocFnps8ux6tENdJ3S28acstGcpHPyXT"
                        }
                      ]
                    }
                  ],
                  "geographicAddress": [
                    {
                      "country": "QmbFW7RUTw9fMcALJGKJvdqX1BGoJk6E6iGhuK8yoopJTw",
                      "addressLine": [
                        "QmaMxwFwNyx1UDBb9mZnW782hyD9eSN4FeLLzb4m3w7AH5",
                        "QmQV9V7NbqJLMVURhfGSTYRncg6x8uTxR8CjDb5eCYhQkw"
                      ],
                      "countrySubdivision": [
                        "QmUJTBS62LARJXuzxPP5V6Mt1CasVNmeC36KsxBwdhKy1S"
                      ]
                    }
                  ],
                  "countryOfResidence": "QmQbhd6MA1QB6jYM92nMFgy3fsw41DUggZrjTpNEtM2ekJ",
                  "dateAndPlaceOfBirth": {
                    "dateOfBirth": "QmSLYxXvNfLUzAnJREYKGM98nLpphU5Qi2Ky9oJ8ut9k3C",
                    "placeOfBirth": "QmeBGKxjPfwHEoxvfEqjUWEQxcEu7HtLaveFFzKF5x9YzB"
                  },
                  "customerIdentification": "QmV4noD4nKNqqNZ1SMfKFQtxTqzsBGB1dYXKu9JFEtw3G5",
                  "nationalIdentification": {
                    "countryOfIssue": "Qma2ELbb5AR6w6m9uaKZfsSbZhmLPhSnsMYKi3gxAsLcML",
                    "nationalIdentifier": "QmRt2aXnEfdQ2nWDMutHKVYB8y9SA3mzoEnqQLF1t1BxNS",
                    "registrationAuthority": "QmbgjTf7P5vFX9hFywm5Un5tGqycZwaUVAZDR8EarJwssy",
                    "nationalIdentifierType": "QmUiWdV2HRzcj9LC7y6vFZaLEVM57HtdPpMrd52kYmZdiz"
                  }
                }
              }
            ]
          },
          "beneficiary": {
            "accountNumber": [
              "QmNWmknXsr9Axx2tgnT7THLbCyADXSE4obDtNgv9Nqh7zA"
            ],
            "beneficiaryPersons": [
              {
                "naturalPerson": {
                  "name": [
                    {
                      "nameIdentifier": [
                        {
                          "primaryIdentifier": "QmUyBPtV9M2KNFR4YThY39uciMY1T3Yp5s7ycTt7v2jsLG"
                        }
                      ]
                    }
                  ],
                  "geographicAddress": [
                    {
                      "country": "QmWCpNGSj3jezyQUdS8DLmBYtTFzKLPfLMfMbBWUswe1J8",
                      "addressLine": [
                        "QmYzjNDdGXbgqp8RsbRcfT2Vw8cH5fACiV71JsHF8jiamZ",
                        "QmbWUAQVt49fkk2HZBWLZsbKnP9zfVFwoYAZxAdf7y4Jt5"
                      ],
                      "countrySubdivision": [
                        "QmeAXFYc26GPDYVUCpkT8cDtzQpFE8dRqdHQNqT9mdU1B1"
                      ]
                    }
                  ],
                  "countryOfResidence": "QmcvGp8nL1ih5w15orZcMGpTiwBJp4UYvgUZsYvu7DZPnG"
                }
              }
            ]
          }
        }
      },
      "Originator2": {
        "title": "Originator2",
        "required": [
          "originatorPersons",
          "accountNumber"
        ],
        "type": "object",
        "properties": {
          "originatorPersons": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/OriginatorPerson"
            },
            "description": ""
          },
          "accountNumber": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": ""
          }
        },
        "example": {
          "originatorPersons": [
            {
              "naturalPerson": {
                "name": [
                  {
                    "nameIdentifier": [
                      {
                        "primaryIdentifier": "Bruce"
                      }
                    ]
                  }
                ],
                "geographicAddress": [
                  {
                    "addressLine": [
                      "main streat 101",
                      "address line 2"
                    ],
                    "countrySubdivision": [
                      "London"
                    ],
                    "country": "GB"
                  }
                ],
                "nationalIdentification": {
                  "nationalIdentifier": "12345Number",
                  "nationalIdentifierType": "ARNU",
                  "countryOfIssue": "IN",
                  "registrationAuthority": "Govt of Italy"
                },
                "dateAndPlaceOfBirth": {
                  "dateOfBirth": "2020-04-02",
                  "placeOfBirth": "London"
                },
                "countryOfResidence": "GB",
                "customerIdentification": "12345"
              }
            }
          ],
          "accountNumber": [
            "0x5dce8dc7ae6eeca7abb378406db5965c1a4684cd"
          ]
        }
      },
      "ReqJson": {
        "title": "ReqJson",
        "required": [
          "transaction",
          "custodial",
          "vasp",
          "originator",
          "beneficiary"
        ],
        "type": "object",
        "properties": {
          "sequenceId": {
            "type": "string"
          },
          "transaction": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Transaction3"
              },
              {}
            ]
          },
          "custodial": {
            "type": "boolean"
          },
          "vasp": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Vasp"
              },
              {}
            ]
          },
          "originator": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Originator"
              },
              {}
            ]
          },
          "beneficiary": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Beneficiary"
              },
              {}
            ]
          }
        }
      },
      "Output-Object-Request": {
        "title": "Output-Object-Request",
        "type": "object",
        "properties": {
          "custodial": {
            "type": "boolean",
            "description": "This indicates whether it is a custodial transaction or not.",
            "example": true
          },
          "data": {
            "type": "string",
            "nullable": true
          },
          "vasp": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Vasp"
              },
              {}
            ]
          },
          "beneficiary": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Beneficiary"
              },
              {}
            ]
          },
          "originator": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Originator"
              },
              {}
            ]
          }
        }
      },
      "GeographicAddress": {
        "title": "GeographicAddress",
        "required": [
          "addressLine",
          "countrySubdivision",
          "country"
        ],
        "type": "object",
        "properties": {
          "addressLine": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": ""
          },
          "countrySubdivision": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": ""
          },
          "country": {
            "type": "string"
          }
        },
        "example": {
          "addressLine": [
            "main streat 101",
            "address line 2"
          ],
          "countrySubdivision": [
            "London"
          ],
          "country": "GB"
        }
      },
      "BeneficiaryPerson": {
        "title": "BeneficiaryPerson",
        "required": [
          "naturalPerson"
        ],
        "type": "object",
        "properties": {
          "naturalPerson": {
            "allOf": [
              {
                "$ref": "#/components/schemas/NaturalPerson1"
              },
              {}
            ]
          }
        },
        "example": {
          "naturalPerson": {
            "name": [
              {
                "nameIdentifier": [
                  {
                    "primaryIdentifier": "Microsoft"
                  }
                ]
              }
            ],
            "geographicAddress": [
              {
                "addressLine": [
                  "1st main",
                  "M G road"
                ],
                "countrySubdivision": [
                  "Bengalure"
                ],
                "country": "IN"
              }
            ],
            "countryOfResidence": "IN"
          }
        }
      },
      "Data56": {
        "title": "Data56",
        "required": [
          "travelRuleTransactionResponse"
        ],
        "type": "object",
        "properties": {
          "travelRuleTransactionResponse": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/TravelRuleTransactionResponse"
            },
            "description": ""
          }
        }
      },
      "OriginatorPerson": {
        "title": "OriginatorPerson",
        "required": [
          "naturalPerson"
        ],
        "type": "object",
        "properties": {
          "naturalPerson": {
            "allOf": [
              {
                "$ref": "#/components/schemas/NaturalPerson"
              },
              {}
            ]
          }
        },
        "example": {
          "naturalPerson": {
            "name": [
              {
                "nameIdentifier": [
                  {
                    "primaryIdentifier": "Bruce"
                  }
                ]
              }
            ],
            "geographicAddress": [
              {
                "addressLine": [
                  "main streat 101",
                  "address line 2"
                ],
                "countrySubdivision": [
                  "London"
                ],
                "country": "GB"
              }
            ],
            "nationalIdentification": {
              "nationalIdentifier": "12345Number",
              "nationalIdentifierType": "ARNU",
              "countryOfIssue": "IN",
              "registrationAuthority": "Govt of Italy"
            },
            "dateAndPlaceOfBirth": {
              "dateOfBirth": "2020-04-02",
              "placeOfBirth": "London"
            },
            "countryOfResidence": "GB",
            "customerIdentification": "12345"
          }
        }
      },
      "TravelRuleTransactionOptions-Object-Request": {
        "title": "TravelRuleTransactionOptions-Object-Request",
        "type": "object",
        "properties": {
          "sequenceId": {
            "type": "string",
            "description": "This is the unique identifier (ID) of the transaction, automatically generated by the system for tracking purposes.",
            "example": "0xa5946470206572eC729DA064fDe6a044CCfbE537"
          },
          "comment": {
            "type": "string",
            "description": "Enter a textual remark or note if needed.",
            "example": "A transaction with Travel Rule details."
          },
          "outputs": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Output-Object-Request"
            },
            "description": ""
          }
        }
      },
      "NaturalPerson1": {
        "title": "NaturalPerson1",
        "required": [
          "name",
          "geographicAddress",
          "countryOfResidence"
        ],
        "type": "object",
        "properties": {
          "name": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Name"
            },
            "description": ""
          },
          "geographicAddress": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/GeographicAddress"
            },
            "description": ""
          },
          "countryOfResidence": {
            "type": "string"
          }
        },
        "example": {
          "name": [
            {
              "nameIdentifier": [
                {
                  "primaryIdentifier": "Microsoft"
                }
              ]
            }
          ],
          "geographicAddress": [
            {
              "addressLine": [
                "1st main",
                "M G road"
              ],
              "countrySubdivision": [
                "Bengalure"
              ],
              "country": "IN"
            }
          ],
          "countryOfResidence": "IN"
        }
      },
      "Transaction3": {
        "title": "Transaction3",
        "required": [
          "asset",
          "amount",
          "origin",
          "amountInUnit",
          "destination",
          "data",
          "comment"
        ],
        "type": "object",
        "properties": {
          "asset": {
            "type": "string"
          },
          "amount": {
            "type": "number"
          },
          "origin": {
            "type": "string"
          },
          "amountInUnit": {
            "type": "string"
          },
          "destination": {
            "type": "string"
          },
          "data": {
            "type": "string",
            "nullable": true
          },
          "comment": {
            "type": "string"
          }
        },
        "example": {
          "asset": "ETH",
          "amount": 0.006,
          "origin": "0x5dce8dc7ae6eeca7abb378406db5965c1a4684cd",
          "amountInUnit": "6000000000000000",
          "destination": "0x371b6bc5FcA76d6044E273fe82CcE8c5Fbf47121",
          "data": null,
          "comment": "Test Comment"
        }
      },
      "NaturalPerson": {
        "title": "NaturalPerson",
        "required": [
          "name",
          "geographicAddress",
          "nationalIdentification",
          "dateAndPlaceOfBirth",
          "countryOfResidence",
          "customerIdentification"
        ],
        "type": "object",
        "properties": {
          "name": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Name"
            },
            "description": ""
          },
          "geographicAddress": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/GeographicAddress"
            },
            "description": ""
          },
          "nationalIdentification": {
            "allOf": [
              {
                "$ref": "#/components/schemas/NationalIdentification"
              },
              {}
            ]
          },
          "dateAndPlaceOfBirth": {
            "allOf": [
              {
                "$ref": "#/components/schemas/DateAndPlaceOfBirth"
              },
              {}
            ]
          },
          "countryOfResidence": {
            "type": "string"
          },
          "customerIdentification": {
            "type": "string"
          }
        },
        "example": {
          "name": [
            {
              "nameIdentifier": [
                {
                  "primaryIdentifier": "Bruce"
                }
              ]
            }
          ],
          "geographicAddress": [
            {
              "addressLine": [
                "main streat 101",
                "address line 2"
              ],
              "countrySubdivision": [
                "London"
              ],
              "country": "GB"
            }
          ],
          "nationalIdentification": {
            "nationalIdentifier": "12345Number",
            "nationalIdentifierType": "ARNU",
            "countryOfIssue": "IN",
            "registrationAuthority": "Govt of Italy"
          },
          "dateAndPlaceOfBirth": {
            "dateOfBirth": "2020-04-02",
            "placeOfBirth": "London"
          },
          "countryOfResidence": "GB",
          "customerIdentification": "12345"
        }
      },
      "Action": {
        "title": "Action",
        "type": "object",
        "properties": {
          "hash": {
            "type": "string",
            "description": "The credential hash of the transaction.",
            "example": "c6dba3976a97257b247b90768b7bc371c11c312c7d438420da61d3ba2caf463c0ec2675c90cb2970384e1a2ef53c4acb464d6e70d6a312fa2a1b9e559e6e2ae7"
          },
          "issuerDID": {
            "type": "string",
            "description": "The decentralised identifier of the entity that issued the action.",
            "example": "did:ethr:0xafc2bd1c51888fc758e5c7a0dd49e6a82fdaac59"
          },
          "action": {
            "type": "string",
            "description": "The type of action executed on the transaction.",
            "example": "approve"
          },
          "actionData": {
            "type": "string",
            "description": "This object contains the additional data related to the action taken.",
            "nullable": true
          },
          "transactionId": {
            "type": "string",
            "description": "The unique identifier (ID) of the transaction.",
            "example": "679d1cfe-722c-43a4-af18-6b0e1ed24bd4"
          },
          "createdAt": {
            "type": "string",
            "description": "The timestamp when the transaction was created.",
            "example": "2023-06-30T05:39:44.151Z"
          },
          "createdBy": {
            "type": "string",
            "description": "The unique identifier of the entity that created the transaction.",
            "example": "did:ethr:0xafc2bd1c51888fc758e5c7a0dd49e6a82fdaac59"
          }
        },
        "example": {
          "hash": "2d619b08dcffb65e8f8a5f734bb03c51ac08da77135fe9e85c8bd979b5b408eb65711edc11ff94b0e7b2724e20fd4f0f41b0c680051d3c26358346be7642a94c",
          "issuerDID": "did:ethr:0xafc2bd1c51888fc758e5c7a0dd49e6a82fdaac59",
          "action": "approve",
          "actionData": null,
          "transactionId": "679d1cfe-722c-43a4-af18-6b0e1ed24bd4",
          "createdAt": "2023-06-30T05:39:44.151Z",
          "createdBy": "did:ethr:0xafc2bd1c51888fc758e5c7a0dd49e6a82fdaac59"
        }
      },
      "Create-Transaction-OK-Response": {
        "title": "Create-Transaction-OK-Response",
        "required": [
          "success",
          "data"
        ],
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean",
            "description": "This indicates whether the transaction is created successfully or not.",
            "example": true
          },
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Data56"
            },
            "description": ""
          }
        }
      },
      "NationalIdentification": {
        "title": "NationalIdentification",
        "required": [
          "nationalIdentifier",
          "nationalIdentifierType",
          "countryOfIssue",
          "registrationAuthority"
        ],
        "type": "object",
        "properties": {
          "nationalIdentifier": {
            "type": "string"
          },
          "nationalIdentifierType": {
            "type": "string"
          },
          "countryOfIssue": {
            "type": "string"
          },
          "registrationAuthority": {
            "type": "string"
          }
        },
        "example": {
          "nationalIdentifier": "12345Number",
          "nationalIdentifierType": "ARNU",
          "countryOfIssue": "IN",
          "registrationAuthority": "Govt of Italy"
        }
      },
      "Address": {
        "title": "Address",
        "required": [
          "city",
          "country",
          "address1",
          "address2"
        ],
        "type": "object",
        "properties": {
          "city": {
            "type": "string",
            "description": "Enter the city where the beneficiary resides.",
            "example": "New Delhi"
          },
          "country": {
            "type": "string",
            "description": "Enter the country of the beneficiary's residence or business.",
            "example": "IN"
          },
          "address1": {
            "type": "string",
            "description": "Enter the flat number, apartment of beneficiary's address.",
            "example": "2nd floor, Xavier Nest"
          },
          "address2": {
            "type": "string",
            "description": "Enter the name of road, street, or landmark of beneficiary's address.",
            "example": "M G road"
          }
        },
        "example": {
          "city": "New Delhi",
          "country": "IN",
          "address1": "2nd floor, Xavier Nest",
          "address2": "MG Road"
        }
      },
      "Identification": {
        "title": "Identification",
        "required": [
          "type",
          "number",
          "country",
          "authority"
        ],
        "type": "object",
        "properties": {
          "type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Originator-Identification-Enum"
              },
              {}
            ]
          },
          "number": {
            "type": "string",
            "description": "Enter the ID number of the originator.",
            "example": "12345Number"
          },
          "country": {
            "type": "string",
            "description": "Enter the country of residence of the originator.",
            "example": "IN"
          },
          "authority": {
            "type": "string",
            "description": "Enter the issuing authority of the ID document.",
            "example": "Government of India"
          }
        }
      },
      "Recipient-Object-Request": {
        "title": "Recipient-Object-Request",
        "required": [
          "address",
          "amount"
        ],
        "type": "object",
        "properties": {
          "address": {
            "type": "string",
            "description": "This is the target or recipient's blockchain address.",
            "example": "0x4bbeEB066eD09B7AEd07bF39EEe0460DFa261520"
          },
          "amount": {
            "type": "string",
            "description": "Define the quantity of assets to be transferred to the destination address.",
            "example": "10"
          },
          "data": {
            "type": "string",
            "description": "Use this field to include any memo or additional information for the transaction.",
            "example": "Transferring assets to the recipient."
          }
        },
        "example": {
          "address": "0xa5946470206572eC729DA064fDe6a044CCfbE537",
          "amount": "0.008"
        }
      },
      "RecipientsData-Object-Request": {
        "title": "RecipientsData-Object-Request",
        "required": [
          "recipients"
        ],
        "type": "object",
        "properties": {
          "recipients": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Recipient-Object-Request"
            },
            "description": ""
          },
          "sequenceId": {
            "type": "string",
            "description": "This is the unique identifier (ID) of the transaction, automatically generated by the system for tracking purposes.",
            "example": "0xa5946470206572eC729DA064fDe6a044CCfbE537"
          },
          "gasLimit": {
            "type": "string",
            "description": "Set the maximum limit of the gas fee that can be used for each transaction. (Optional)",
            "example": "46606"
          },
          "isInternal": {
            "type": "boolean",
            "description": "Set to false to enable the travel rule. It is set to true by default. This is an optional field.",
            "default": true,
            "example": false
          }
        },
        "example": {
          "recipients": [
            {
              "address": "0xa5946470206572eC729DA064fDe6a044CCfbE537",
              "amount": "0.008"
            }
          ],
          "sequenceId": "e6d677e9-d66a-4c7f-aeb6-73a02f0657e2"
        }
      },
      "ProtocolData": {
        "title": "ProtocolData",
        "required": [
          "trLightData"
        ],
        "type": "object",
        "properties": {
          "trLightData": {
            "allOf": [
              {
                "$ref": "#/components/schemas/TrLightData"
              },
              {}
            ]
          }
        },
        "example": {
          "trLightData": {
            "notificationEmails": [],
            "accessLinks": []
          }
        }
      },
      "TransactionBlockchainInfo": {
        "title": "TransactionBlockchainInfo",
        "required": [
          "origin",
          "destination"
        ],
        "type": "object",
        "properties": {
          "origin": {
            "type": "string"
          },
          "destination": {
            "type": "string"
          }
        },
        "example": {
          "origin": "0x5dce8dc7ae6eeca7abb378406db5965c1a4684cd",
          "destination": "0x371b6bc5FcA76d6044E273fe82CcE8c5Fbf47121"
        }
      },
      "Vasp": {
        "title": "Vasp",
        "required": [
          "id"
        ],
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Enter the unique identifier (ID) of VASP.",
            "example": {
              "id": "did:ethr:0x645fa50712c17cbeff5a52f4199b9a5e283cdea6"
            }
          }
        }
      },
      "Originator": {
        "title": "Originator",
        "required": [
          "type",
          "accountNumber",
          "referenceNumber",
          "name",
          "dob",
          "pob",
          "address",
          "identification"
        ],
        "type": "object",
        "properties": {
          "type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Originator-Type-Enum"
              },
              {}
            ]
          },
          "accountNumber": {
            "type": "string",
            "description": "Enter the account number of the transaction originator.",
            "nullable": true,
            "example": "0x4bbeEB066eD09B7AEd07bF39EEe0460DFa261520"
          },
          "referenceNumber": {
            "type": "string",
            "description": "Enter the reference number of the originator's account.",
            "example": "12345"
          },
          "name": {
            "type": "string",
            "description": "Enter the name of the transaction originator.",
            "example": "Alice Doe"
          },
          "dob": {
            "type": "string",
            "description": "Enter the date of birth of the transaction originator.",
            "example": "1995-04-02"
          },
          "pob": {
            "type": "string",
            "description": "Enter the place of birth of the transaction originator.",
            "example": "London"
          },
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Address2"
              },
              {}
            ]
          },
          "identification": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Identification"
              },
              {}
            ]
          }
        }
      },
      "TravelRuleTransactionResponse": {
        "title": "TravelRuleTransactionResponse",
        "required": [
          "appId",
          "walletId",
          "asset",
          "origin",
          "destination",
          "amount",
          "amountInUnit",
          "reqJson",
          "status",
          "byPassCreate",
          "orgId",
          "createdBy",
          "data",
          "comment",
          "type",
          "trTxnId",
          "link",
          "travelStatus",
          "resJson",
          "id",
          "createdAt",
          "updatedAt"
        ],
        "type": "object",
        "properties": {
          "appId": {
            "type": "integer",
            "format": "int32"
          },
          "walletId": {
            "type": "integer",
            "format": "int32"
          },
          "asset": {
            "type": "string"
          },
          "origin": {
            "type": "string"
          },
          "destination": {
            "type": "string"
          },
          "amount": {
            "type": "number"
          },
          "amountInUnit": {
            "type": "string"
          },
          "reqJson": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReqJson"
              },
              {}
            ]
          },
          "status": {
            "type": "integer",
            "format": "int32"
          },
          "byPassCreate": {
            "type": "boolean"
          },
          "orgId": {
            "type": "integer",
            "format": "int32"
          },
          "createdBy": {
            "type": "integer",
            "format": "int32"
          },
          "data": {
            "type": "string",
            "nullable": true
          },
          "comment": {
            "type": "string"
          },
          "sequenceId": {
            "type": "string"
          },
          "type": {
            "type": "string"
          },
          "trTxnId": {
            "type": "string"
          },
          "link": {
            "type": "string"
          },
          "travelStatus": {
            "type": "string"
          },
          "resJson": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ResJson"
              },
              {}
            ]
          },
          "id": {
            "type": "integer",
            "format": "int32"
          },
          "createdAt": {
            "type": "string"
          },
          "updatedAt": {
            "type": "string"
          }
        }
      },
      "ResJson": {
        "title": "ResJson",
        "required": [
          "id",
          "status",
          "transactionType",
          "transactionAsset",
          "transactionAmount",
          "chargedQuantity",
          "amountInLocalCurrency",
          "beneficiaryAmountInLocalCurrency",
          "originatorDid",
          "beneficiaryDid",
          "isTest",
          "originatorVASPdid",
          "beneficiaryVASPdid",
          "transactionBlockchainInfo",
          "ivms101",
          "ivms101Encrypted",
          "protocol",
          "protocolData",
          "originatorProof",
          "beneficiaryProof",
          "actions",
          "createdAt",
          "createdBy",
          "updatedAt",
          "updatedBy",
          "pii",
          "pii_url",
          "tracked_billing"
        ],
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "transactionType": {
            "type": "string"
          },
          "transactionAsset": {
            "type": "string"
          },
          "transactionAmount": {
            "type": "string"
          },
          "chargedQuantity": {
            "type": "number"
          },
          "amountInLocalCurrency": {
            "allOf": [
              {
                "$ref": "#/components/schemas/AmountInLocalCurrency"
              },
              {}
            ]
          },
          "beneficiaryAmountInLocalCurrency": {
            "allOf": [
              {
                "$ref": "#/components/schemas/AmountInLocalCurrency"
              },
              {}
            ]
          },
          "originatorDid": {
            "type": "string"
          },
          "beneficiaryDid": {
            "type": "string"
          },
          "isTest": {
            "type": "string",
            "nullable": true
          },
          "originatorVASPdid": {
            "type": "string"
          },
          "beneficiaryVASPdid": {
            "type": "string"
          },
          "transactionBlockchainInfo": {
            "allOf": [
              {
                "$ref": "#/components/schemas/TransactionBlockchainInfo"
              },
              {}
            ]
          },
          "ivms101": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Ivms101"
              },
              {}
            ]
          },
          "ivms101Encrypted": {
            "type": "string",
            "nullable": true
          },
          "protocol": {
            "type": "string"
          },
          "protocolData": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ProtocolData"
              },
              {}
            ]
          },
          "originatorProof": {
            "type": "string",
            "nullable": true
          },
          "beneficiaryProof": {
            "type": "string",
            "nullable": true
          },
          "actions": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Action"
            },
            "description": ""
          },
          "createdAt": {
            "type": "string"
          },
          "createdBy": {
            "type": "string"
          },
          "updatedAt": {
            "type": "string"
          },
          "updatedBy": {
            "type": "string"
          },
          "pii": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Pii"
              },
              {}
            ]
          },
          "pii_url": {
            "type": "string"
          },
          "tracked_billing": {
            "type": "boolean"
          }
        },
        "example": {
          "id": "679d1cfe-722c-43a4-af18-6b0e1ed24bd4",
          "status": "SENT",
          "transactionType": "TRAVELRULE",
          "transactionAsset": "ETH",
          "transactionAmount": "6000000000000000",
          "chargedQuantity": 11.35248,
          "amountInLocalCurrency": {
            "currency": "SGD",
            "amountInLocalCurrency": 15.38742
          },
          "beneficiaryAmountInLocalCurrency": {
            "currency": "SGD",
            "amountInLocalCurrency": 15.38742
          },
          "originatorDid": "did:ethr:0x8e3790643419b330152671d871a5113d5e2d39ae",
          "beneficiaryDid": "did:ethr:0x1ce54decdf299dbab406ec192ec1e676cf5e2f45",
          "isTest": null,
          "originatorVASPdid": "did:ethr:0x1d4eb41bf400506fc5b77defd5ea9171652b3464",
          "beneficiaryVASPdid": "did:ethr:0x645fa50712c17cbeff5a52f4199b9a5e283cdea6",
          "transactionBlockchainInfo": {
            "origin": "0x5dce8dc7ae6eeca7abb378406db5965c1a4684cd",
            "destination": "0x371b6bc5FcA76d6044E273fe82CcE8c5Fbf47121"
          },
          "ivms101": {
            "originator": {
              "originatorPersons": [
                {
                  "naturalPerson": {
                    "name": [
                      {
                        "nameIdentifier": [
                          {
                            "primaryIdentifier": "Bruce"
                          }
                        ]
                      }
                    ],
                    "geographicAddress": [
                      {
                        "addressLine": [
                          "main streat 101",
                          "address line 2"
                        ],
                        "countrySubdivision": [
                          "London"
                        ],
                        "country": "GB"
                      }
                    ],
                    "nationalIdentification": {
                      "nationalIdentifier": "12345Number",
                      "nationalIdentifierType": "ARNU",
                      "countryOfIssue": "IN",
                      "registrationAuthority": "Govt of Italy"
                    },
                    "dateAndPlaceOfBirth": {
                      "dateOfBirth": "2020-04-02",
                      "placeOfBirth": "London"
                    },
                    "countryOfResidence": "GB",
                    "customerIdentification": "12345"
                  }
                }
              ],
              "accountNumber": [
                "0x5dce8dc7ae6eeca7abb378406db5965c1a4684cd"
              ]
            },
            "beneficiary": {
              "beneficiaryPersons": [
                {
                  "naturalPerson": {
                    "name": [
                      {
                        "nameIdentifier": [
                          {
                            "primaryIdentifier": "Microsoft"
                          }
                        ]
                      }
                    ],
                    "geographicAddress": [
                      {
                        "addressLine": [
                          "1st main",
                          "M G road"
                        ],
                        "countrySubdivision": [
                          "Bengalure"
                        ],
                        "country": "IN"
                      }
                    ],
                    "countryOfResidence": "IN"
                  }
                }
              ],
              "accountNumber": [
                "0x371b6bc5FcA76d6044E273fe82CcE8c5Fbf47121"
              ]
            },
            "originatingVASP": {
              "originatingVASP": {
                "legalPerson": {
                  "name": {
                    "nameIdentifier": [
                      {
                        "legalPersonName": "Lmnl 1 (Originator)",
                        "legalPersonNameIdentifierType": "LEGL"
                      }
                    ]
                  }
                }
              }
            },
            "beneficiaryVASP": {
              "beneficiaryVASP": {
                "legalPerson": {
                  "name": {
                    "nameIdentifier": [
                      {
                        "legalPersonName": "Lmnl",
                        "legalPersonNameIdentifierType": "LEGL"
                      }
                    ]
                  }
                }
              }
            }
          },
          "ivms101Encrypted": null,
          "protocol": "TRLight",
          "protocolData": {
            "trLightData": {
              "notificationEmails": [],
              "accessLinks": []
            }
          },
          "originatorProof": null,
          "beneficiaryProof": null,
          "actions": [
            {
              "hash": "2d619b08dcffb65e8f8a5f734bb03c51ac08da77135fe9e85c8bd979b5b408eb65711edc11ff94b0e7b2724e20fd4f0f41b0c680051d3c26358346be7642a94c",
              "issuerDID": "did:ethr:0xafc2bd1c51888fc758e5c7a0dd49e6a82fdaac59",
              "action": "approve",
              "actionData": null,
              "transactionId": "679d1cfe-722c-43a4-af18-6b0e1ed24bd4",
              "createdAt": "2023-06-30T05:39:44.151Z",
              "createdBy": "did:ethr:0xafc2bd1c51888fc758e5c7a0dd49e6a82fdaac59"
            },
            {
              "hash": "2cd5eb67c0c33e8beecf0cd128fa2f145a535e8c9e448585fe3313518f2842a153f73e131f6eb17e76bace2b5f473879a421c3405f03864e5457acd088f60a7b",
              "issuerDID": "did:ethr:0xafc2bd1c51888fc758e5c7a0dd49e6a82fdaac59",
              "action": "create",
              "actionData": "{\"travelRuleBehavior\":false,\"transactionAsset\":\"ETH\",\"transactionAmount\":\"6000000000000000\",\"originatorVASPdid\":\"did:ethr:0x1d4eb41bf400506fc5b77defd5ea9171652b3464\",\"transactionBlockchainInfo\":{\"origin\":\"0x5dce8dc7ae6eeca7abb378406db5965c1a4684cd\",\"destination\":\"0x371b6bc5FcA76d6044E273fe82CcE8c5Fbf47121\"},\"beneficiaryVASPdid\":\"did:ethr:0x645fa50712c17cbeff5a52f4199b9a5e283cdea6\",\"originatorDid\":\"did:ethr:0x8e3790643419b330152671d871a5113d5e2d39ae\",\"beneficiaryDid\":\"did:ethr:0x1ce54decdf299dbab406ec192ec1e676cf5e2f45\"}",
              "transactionId": "679d1cfe-722c-43a4-af18-6b0e1ed24bd4",
              "createdAt": "2023-06-30T05:39:43.731Z",
              "createdBy": "did:ethr:0xafc2bd1c51888fc758e5c7a0dd49e6a82fdaac59"
            }
          ],
          "createdAt": "2023-06-30T05:39:43.464Z",
          "createdBy": "did:ethr:0xafc2bd1c51888fc758e5c7a0dd49e6a82fdaac59",
          "updatedAt": "2023-06-30T05:39:43.701Z",
          "updatedBy": "did:ethr:0xafc2bd1c51888fc758e5c7a0dd49e6a82fdaac59",
          "pii": {
            "originator": {
              "accountNumber": [
                "QmNzKmJx9kh3L9DD17GNe3DSzSXxZQMeoWynxZMGTMV457"
              ],
              "originatorPersons": [
                {
                  "naturalPerson": {
                    "name": [
                      {
                        "nameIdentifier": [
                          {
                            "primaryIdentifier": "QmNrEBNXTY9Mgn1ocFnps8ux6tENdJ3S28acstGcpHPyXT"
                          }
                        ]
                      }
                    ],
                    "geographicAddress": [
                      {
                        "country": "QmbFW7RUTw9fMcALJGKJvdqX1BGoJk6E6iGhuK8yoopJTw",
                        "addressLine": [
                          "QmaMxwFwNyx1UDBb9mZnW782hyD9eSN4FeLLzb4m3w7AH5",
                          "QmQV9V7NbqJLMVURhfGSTYRncg6x8uTxR8CjDb5eCYhQkw"
                        ],
                        "countrySubdivision": [
                          "QmUJTBS62LARJXuzxPP5V6Mt1CasVNmeC36KsxBwdhKy1S"
                        ]
                      }
                    ],
                    "countryOfResidence": "QmQbhd6MA1QB6jYM92nMFgy3fsw41DUggZrjTpNEtM2ekJ",
                    "dateAndPlaceOfBirth": {
                      "dateOfBirth": "QmSLYxXvNfLUzAnJREYKGM98nLpphU5Qi2Ky9oJ8ut9k3C",
                      "placeOfBirth": "QmeBGKxjPfwHEoxvfEqjUWEQxcEu7HtLaveFFzKF5x9YzB"
                    },
                    "customerIdentification": "QmV4noD4nKNqqNZ1SMfKFQtxTqzsBGB1dYXKu9JFEtw3G5",
                    "nationalIdentification": {
                      "countryOfIssue": "Qma2ELbb5AR6w6m9uaKZfsSbZhmLPhSnsMYKi3gxAsLcML",
                      "nationalIdentifier": "QmRt2aXnEfdQ2nWDMutHKVYB8y9SA3mzoEnqQLF1t1BxNS",
                      "registrationAuthority": "QmbgjTf7P5vFX9hFywm5Un5tGqycZwaUVAZDR8EarJwssy",
                      "nationalIdentifierType": "QmUiWdV2HRzcj9LC7y6vFZaLEVM57HtdPpMrd52kYmZdiz"
                    }
                  }
                }
              ]
            },
            "beneficiary": {
              "accountNumber": [
                "QmNWmknXsr9Axx2tgnT7THLbCyADXSE4obDtNgv9Nqh7zA"
              ],
              "beneficiaryPersons": [
                {
                  "naturalPerson": {
                    "name": [
                      {
                        "nameIdentifier": [
                          {
                            "primaryIdentifier": "QmUyBPtV9M2KNFR4YThY39uciMY1T3Yp5s7ycTt7v2jsLG"
                          }
                        ]
                      }
                    ],
                    "geographicAddress": [
                      {
                        "country": "QmWCpNGSj3jezyQUdS8DLmBYtTFzKLPfLMfMbBWUswe1J8",
                        "addressLine": [
                          "QmYzjNDdGXbgqp8RsbRcfT2Vw8cH5fACiV71JsHF8jiamZ",
                          "QmbWUAQVt49fkk2HZBWLZsbKnP9zfVFwoYAZxAdf7y4Jt5"
                        ],
                        "countrySubdivision": [
                          "QmeAXFYc26GPDYVUCpkT8cDtzQpFE8dRqdHQNqT9mdU1B1"
                        ]
                      }
                    ],
                    "countryOfResidence": "QmcvGp8nL1ih5w15orZcMGpTiwBJp4UYvgUZsYvu7DZPnG"
                  }
                }
              ]
            }
          },
          "pii_url": "https://pii.notabene.dev/",
          "tracked_billing": false
        }
      },
      "TrLightData": {
        "title": "TrLightData",
        "required": [
          "notificationEmails",
          "accessLinks"
        ],
        "type": "object",
        "properties": {
          "notificationEmails": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "A list of email addresses designated to receive notifications related to the transaction updates."
          },
          "accessLinks": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "A list of URLs that provide access to transaction details."
          }
        },
        "example": {
          "notificationEmails": [],
          "accessLinks": []
        }
      },
      "DateAndPlaceOfBirth": {
        "title": "DateAndPlaceOfBirth",
        "required": [
          "dateOfBirth",
          "placeOfBirth"
        ],
        "type": "object",
        "properties": {
          "dateOfBirth": {
            "type": "string"
          },
          "placeOfBirth": {
            "type": "string"
          }
        },
        "example": {
          "dateOfBirth": "2020-04-02",
          "placeOfBirth": "London"
        }
      },
      "BeneficiaryVASP": {
        "title": "BeneficiaryVASP",
        "required": [
          "beneficiaryVASP"
        ],
        "type": "object",
        "properties": {
          "beneficiaryVASP": {
            "allOf": [
              {
                "$ref": "#/components/schemas/BeneficiaryVASP1"
              },
              {}
            ]
          }
        },
        "example": {
          "beneficiaryVASP": {
            "legalPerson": {
              "name": {
                "nameIdentifier": [
                  {
                    "legalPersonName": "Lmnl",
                    "legalPersonNameIdentifierType": "LEGL"
                  }
                ]
              }
            }
          }
        }
      },
      "Create-Transaction-Object-Rquest": {
        "title": "Create-Transaction-Object-Rquest",
        "required": [
          "wallet",
          "transaction",
          "travelRule"
        ],
        "type": "object",
        "properties": {
          "wallet": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Wallet-Object1"
              },
              {}
            ]
          },
          "transaction": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Transactions-TravelRule-Object-Request"
              },
              {}
            ]
          },
          "travelRule": {
            "allOf": [
              {
                "$ref": "#/components/schemas/TravelRule-Transaction-Object-Request"
              },
              {}
            ]
          }
        }
      },
      "Ivms101": {
        "title": "Ivms101",
        "required": [
          "originator",
          "beneficiary",
          "originatingVASP",
          "beneficiaryVASP"
        ],
        "type": "object",
        "properties": {
          "originator": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Originator2"
              },
              {}
            ]
          },
          "beneficiary": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Beneficiary2"
              },
              {}
            ]
          },
          "originatingVASP": {
            "allOf": [
              {
                "$ref": "#/components/schemas/OriginatingVASP"
              },
              {}
            ]
          },
          "beneficiaryVASP": {
            "allOf": [
              {
                "$ref": "#/components/schemas/BeneficiaryVASP"
              },
              {}
            ]
          }
        },
        "example": {
          "originator": {
            "originatorPersons": [
              {
                "naturalPerson": {
                  "name": [
                    {
                      "nameIdentifier": [
                        {
                          "primaryIdentifier": "Bruce"
                        }
                      ]
                    }
                  ],
                  "geographicAddress": [
                    {
                      "addressLine": [
                        "main streat 101",
                        "address line 2"
                      ],
                      "countrySubdivision": [
                        "London"
                      ],
                      "country": "GB"
                    }
                  ],
                  "nationalIdentification": {
                    "nationalIdentifier": "12345Number",
                    "nationalIdentifierType": "ARNU",
                    "countryOfIssue": "IN",
                    "registrationAuthority": "Govt of Italy"
                  },
                  "dateAndPlaceOfBirth": {
                    "dateOfBirth": "2020-04-02",
                    "placeOfBirth": "London"
                  },
                  "countryOfResidence": "GB",
                  "customerIdentification": "12345"
                }
              }
            ],
            "accountNumber": [
              "0x5dce8dc7ae6eeca7abb378406db5965c1a4684cd"
            ]
          },
          "beneficiary": {
            "beneficiaryPersons": [
              {
                "naturalPerson": {
                  "name": [
                    {
                      "nameIdentifier": [
                        {
                          "primaryIdentifier": "Microsoft"
                        }
                      ]
                    }
                  ],
                  "geographicAddress": [
                    {
                      "addressLine": [
                        "1st main",
                        "M G road"
                      ],
                      "countrySubdivision": [
                        "Bengalure"
                      ],
                      "country": "IN"
                    }
                  ],
                  "countryOfResidence": "IN"
                }
              }
            ],
            "accountNumber": [
              "0x371b6bc5FcA76d6044E273fe82CcE8c5Fbf47121"
            ]
          },
          "originatingVASP": {
            "originatingVASP": {
              "legalPerson": {
                "name": {
                  "nameIdentifier": [
                    {
                      "legalPersonName": "Lmnl 1 (Originator)",
                      "legalPersonNameIdentifierType": "LEGL"
                    }
                  ]
                }
              }
            }
          },
          "beneficiaryVASP": {
            "beneficiaryVASP": {
              "legalPerson": {
                "name": {
                  "nameIdentifier": [
                    {
                      "legalPersonName": "Lmnl",
                      "legalPersonNameIdentifierType": "LEGL"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "Beneficiary": {
        "title": "Beneficiary",
        "required": [
          "type",
          "name",
          "address"
        ],
        "type": "object",
        "properties": {
          "type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Beneficiary-Type-Enum"
              },
              {}
            ]
          },
          "name": {
            "type": "string",
            "description": "Enter the name of the beneficiary.",
            "example": "John Doe"
          },
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Address"
              },
              {}
            ]
          }
        }
      },
      "AmountInLocalCurrency": {
        "title": "AmountInLocalCurrency",
        "required": [
          "currency",
          "amountInLocalCurrency"
        ],
        "type": "object",
        "properties": {
          "currency": {
            "type": "string",
            "description": "The currency code.",
            "example": "SGD"
          },
          "amountInLocalCurrency": {
            "type": "number",
            "description": "The amount in the local currency.",
            "example": 2.49122
          }
        },
        "example": {
          "currency": "SGD",
          "amountInLocalCurrency": 15.38742
        }
      },
      "TravelRule-Transaction-Object-Request": {
        "title": "TravelRule-Transaction-Object-Request",
        "required": [
          "travelRuleTransactionOptions"
        ],
        "type": "object",
        "properties": {
          "travelRuleTransactionOptions": {
            "allOf": [
              {
                "$ref": "#/components/schemas/TravelRuleTransactionOptions-Object-Request"
              },
              {}
            ]
          }
        }
      },
      "OriginatingVASP": {
        "title": "OriginatingVASP",
        "required": [
          "originatingVASP"
        ],
        "type": "object",
        "properties": {
[...]
